Configuration file missing when adding SP9 as a reference package in Aras Update

Hi

I get an error when adding the new SP as a reference file to Aras Update to upgrade Innovator. 

"Configuration file missing in path G:\ ... package.config"

Must I extract the Zip within the Aras install folder (x86)?

Parents
  • Hi Duncanwilliamgibbons,

    I am not too familiar with upgrade within Aras Update, however were you able to confirm that you are pointing to the package.config file within the SP? 

    Best,

    Nithin

  • Hi Duncan,

    Just for better understanding can you tell me where you got the CD package from? Normally its within the patch zip file that comes with the CD Image.

    Thanks,

    Nithin

  • Hi Duncan,

    Ok just to confirm in Aras Update on the "local" tab when you select "Add package reference" are you pointing it to the root directory (within 12 SP9 CD Image\Utilities\Aras Innovator 12.0 SP9 Patch)? This is the directory that the package.config is located in. 

    Another thing that might be causing you issues is possibly the path length, you can try copying the patch file to a location closer to C:/ or whichever drive you are using and point Aras Update there instead. 

    There was also a new release of Aras Update, I myself had run into an issue when testing this on my own machine. I would uninstall the version of Aras Update you have and install the latest one. 

    Hope this helps!

    Nithin

  • Thanks, works with the latest Aras update application.

    Getting an incompatibility error now when installing the patch.

    Do I have to extract all the zip files within the SP 9 utility folder?

  • Hi Duncan,

    Nope the only file you need to extract is the Aras Innovator 12.0 SP9 Patch.zip. When you are installing through Aras Update can you run it with detailed logging, does it say anything before it fails with the incompatibility error. Also what version of Innovator are you currently running?

    Nithin

  • Currently running Version 12.0 SP8  Build: 22759

    Log contents:

    2020-08-24 18:29:22,266 [5] INFO Aras.Tools.ArasUpdateGui.Logger Checking package started: 'G:\Aras\CD Images\12.0 SP9 CD Image\Utilities\package.config'
    2020-08-24 18:29:22,291 [5] INFO Aras.Tools.ArasUpdateGui.Logger Checking package finished
    2020-08-24 18:29:23,072 [5] ERROR Aras.Tools.ArasUpdateGui.Logger Source file does not exist or could not be found: C:\Program Files (x86)\Aras\Innovator\Innovator\Innovator\Client\scripts\include\rev.inc
    2020-08-24 18:29:23,072 [5] ERROR Aras.Tools.ArasUpdateGui.Logger Aras.Tools.ArasUpdateCore.Implementations.Commands.CheckCompatibilityPackageCommand: Source file does not exist or could not be found: C:\Program Files (x86)\Aras\Innovator\Innovator\Innovator\Client\scripts\include\rev.inc
    2020-08-24 18:29:23,076 [5] INFO Aras.Tools.ArasUpdateGui.Logger Operation 'Install' failed

  • Ohh ok when it asks you for the instance location, you need to point it to the Innovator folder in that directory.

  • Apologies, I get this incompatibility error when pointing to the correct directory:

    2020-08-24 19:23:32,547 [9] INFO Aras.Tools.ArasUpdateGui.Logger Checking package started: 'G:\Aras\CD Images\12.0 SP9 CD Image\Utilities\package.config'
    2020-08-24 19:23:32,576 [9] INFO Aras.Tools.ArasUpdateGui.Logger Checking package finished
    2020-08-24 19:23:33,375 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,443 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,507 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,575 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,643 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,707 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,770 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,831 [9] WARN Aras.Tools.ArasUpdateGui.Logger String[] {Incompatible version of Innovator}
    2020-08-24 19:23:33,920 [9] WARN Aras.Tools.ArasUpdateGui.Logger Custom check failed.
    2020-08-24 19:23:33,942 [9] WARN Aras.Tools.ArasUpdateGui.Logger Custom check failed.
    2020-08-24 19:23:33,957 [9] ERROR Aras.Tools.ArasUpdateGui.Logger Aras.Tools.ArasUpdateCore.Implementations.Commands.CheckCompatibilityPackageCommand: Custom check failed.Custom check failed.
    2020-08-24 19:23:33,958 [9] INFO Aras.Tools.ArasUpdateGui.Logger Operation 'Install' failed

  • Hi Duncan,

    I am sorry I think I told you it needs to point to the Innovator folder within the directory, but it should just be pointing to the top level (in the same directory that the InnovatorServerConfig.xml is located). I just confirmed it on my own machine as well.

    I would also double check the parameters you are setting pre install with the documentation provided with the CD image (specifically the "Aras Innovator 12.0 - Upgrading to Service Pack 9 from Aras Innovator 12.0.pdf") to confirm you're giving it the correct URL, database, and install path (pointing to the root or top level as I just mentioned)

    Best,

    Nithin

  • Hi Nithin

    I made double sure of the above, but still get the same error message.

    I've attached the details I filled in. Additionally, I tried http://localhost/InnovatorServer/OAuthServer which returned a 404 error.

Reply Children
No Data